// 车辆类型列表
import request from "@/utils/request";
//

export function msgTypeList() {
  return request({
    url: '/manage/carType/findCartypeList',
    method: 'post'
  })
}


/*
 车辆报文管理
 */
// 根据车辆型号查询车辆报文（配置）如：油车：油车VIN 等等，电车的：VIN等等
export function findCarmsgListByModelId(params) {
  return request({
    url: '/manage/carmsg/findCarmsgListByModelId?msgTypeId='+params,
    method: 'post'
  })
}
// 查询报文列表
export function findCarmsgtypeList() {
  return request({
    url: '/manage/carmsgtype/findCarmsgtypeList',
    method: 'post'
  })
}
// 获取车辆报文类型详细信息
export function findCarmsgtypeGetInfo(msgCodes) {
  return request({
    url: '/manage/carmsgtype/findCarmsgtypeGetInfo?msgCodes='+msgCodes,
    method: 'post'
  })
}


// 新增车辆报文记录
export function addMessage(data) {
  return request({
    url: '/manage/messageInfo',
    method: 'post',
    data: data
  })
}

// 修改车辆报文记录
export function updateMessage(data) {
  return request({
    url: '/manage/messageInfo',
    method: 'put',
    data: data
  })
}

// 删除车辆报文记录
export function delMessage(id) {
  return request({
    url: '/manage/messageInfo/' + id,
    method: 'delete'
  })
}

// 新增车辆报文类型
export function addMessageType(data) {
  return request({
    url: '/manage/messageType',
    method: 'post',
    data: data
  })

}
